org.eclnt.jsfserver.util

## Class ResponseLoggerFilter

- java.lang.Object
- - org.eclnt.jsfserver.util.CCFilterBase
  - - org.eclnt.jsfserver.util.ResponseLoggerFilter

- All Implemented Interfaces:
    ICCServerConstants

      public class ResponseLoggerFilter
      extends CCFilterBase
      implements ICCServerConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ResponseLoggerFilter.HttpServletResponseCopier`
    `class` | `ResponseLoggerFilter.ServletOutputStreamCopier`

  - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseLoggerFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCFilterBase

      `init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseLoggerFilter

          public ResponseLoggerFilter()

  - ### Method Detail

    - #### doFilter

          public void doFilter(ServletRequest request,
                               ServletResponse response,
                               FilterChain chain)
                        throws ServletException,
                               java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### destroy

          public void destroy()

Copyright © CaptainCasa Gmbh. All Rights Reserved.